<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/root_layout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/operation_bg"
    android:minWidth="500dp"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/toolbar_layout"
        style="@style/OperationSearchToolBar"
        android:layout_width="match_parent"
        android:layout_height="50dp">

        <TextView
            android:id="@+id/title"
            style="@style/DialogToolBarTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="@string/search"
            android:textColor="@color/edt_text"
            android:textSize="@dimen/opeartion_title_text_size" />

        <Button
            android:id="@+id/closeBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/ic_operation_close"
            android:contentDescription="@string/cont_desc" />

    </RelativeLayout>


    <LinearLayout
        android:id="@+id/settingLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="3"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_weight="1">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:text="@string/operation_name"
                    android:textColor="@color/operation_search_label_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/date_label"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:text="@string/date_label"
                    android:textColor="@color/operation_search_label_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/report_type_layout_label"
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_weight="1"
                android:visibility="gone">

                <TextView
                    android:id="@+id/report_type_label"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:text="@string/label_operation_report_type"
                    android:textColor="@color/operation_search_label_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginLeft="10dp"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <jp.agentec.abook.abv.ui.common.view.ABVEditText
                android:id="@+id/operation_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="10dp"
                android:maxLines="1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/start_date"
                    style="@android:style/Widget.Holo.Spinner"
                    android:layout_width="100dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/operation_border"
                    android:gravity="center"
                    android:textColor="@color/text_select"
                    android:textSize="@dimen/text_size_noraml" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="5dp"
                    android:text="~"
                    android:textSize="@dimen/app_large_text_size" />

                <TextView
                    android:id="@+id/end_date"
                    style="@android:style/Widget.Holo.Spinner"
                    android:layout_width="100dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/operation_border"
                    android:gravity="center"
                    android:textColor="@color/text_select"
                    android:textSize="@dimen/text_size_noraml" />
            </LinearLayout>
        </LinearLayout>


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:gravity="center"
        android:orientation="horizontal">

        <Button
            android:id="@+id/btn_search"
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_margin="10dp"
            android:background="@drawable/operation_radius_frame"
            android:text="@string/search"
            android:textColor="@color/text_color" />

        <Button
            android:id="@+id/btn_clear"
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_margin="10dp"
            android:background="@drawable/operation_radius_frame"
            android:text="@string/clear"
            android:textColor="@color/text_color" />

    </LinearLayout>
</LinearLayout>